{% extends 'base.html' %}
{% load static %}
{% load humanize %}

{% block body %}
<div class="container">
    <div class="row" style="margin-bottom:10px;">
        <div class="col-12 col-md-6">
            <h3>Tus pedidos</h3>
        </div>
        <div class="col-12 col-md-6 text-md-right">

        </div>
        <div class="col-12">
            <div style="height: 8px;"></div>
            <ul class="nav nav-tabs">
                <li class="nav-item">
                    <a class="nav-link {% if pendientes %}active{% endif %}" href="{% url 'index' %}">Pendientes</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link {% if ofertados %}active{% endif %}"
                        href="{% url 'index' %}?ofertados">Ofertados</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link {% if finalizados %}active{% endif %}"
                        href="{% url 'index' %}?finalizados">Finalizados</a>
                </li>
            </ul>
        </div>
    </div>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    {% if page %}
                    <table class="table table-responsive-sm table-striped table-bordered text-center">
                        <tr>
                            <th>Pedido #</th>
                            <th>Fecha</th>
                            <th>Estado</th>
                            <!--
                            <th>Total</th>
                            -->
                            <th>Acciones</th>
                        </tr>
                        {% for p in page.object_list reversed %}
                        <tr>
                            <td><a href="{% url 'productor_pedido' id=p.Id%}">{{p.Id}}</a></td>
                            <td>{{p.Fecha}}</td>
                            <td>{{p.Estado.Nombre}}</td>
                            <!--

                            <td>US$ {{p.Total|intcomma}}</td>
                            -->

                            <td><a href="{% url 'productor_pedido' id=p.Id %}" class="btn btn-sm btn-success">Ver
                                    detalle</a></td>
                        </tr>
                        {% endfor %}
                    </table>
                    {% else %}
                    {% if finalizados %}
                    <h4>Actualmente no posees ningun pedido finalizado.</h4>
                    {% elif ofertados %}
                    <h4>Aun no has ofertado en ningun pedido.</h4>
                    {% else %}
                    <h4>No tienes ningun pedido pendiente.</h4>
                    {% endif %}
                    {% endif %}

                </div>
            </div>
        </div>
        <!-- Paginacion -->
        <div class="col-12 text-center">
            {% if page.paginator.num_pages > 1 %}
            <div style="height: 10px;"></div>
            <nav aria-label="Page navigation example">
                <ul class="pagination justify-content-center">
                    {% if page.has_previous %}
                    <li class="page-item">
                        <a class="page-link green"
                            href="{% url 'index' %}{% if finalizados %}?finalizados&page=1{% else %}?page=1{% endif %}"><i
                                class="fas fa-angle-double-left"></i></a>
                    </li>

                    <li class="page-item">
                        <a class="page-link green"
                            href="{% url 'index' %}{% if finalizados %}?finalizados&page={{page.previous_page_number}}{% else %}?page={{page.previous_page_number}}{% endif %}"
                            tabindex=" -1"><i class="fas fa-angle-left"></i></i></a>
                    </li>
                    {% endif %}
                    {% for i in page.paginator.page_range %}

                    {% if i <= page.number|add:5 and i >= page.number|add:-5 %}

                    <li class="page-item {% if page.number == i %}active{% endif %}"><a
                            class="page-link green {% if page.number == i %}greenbg{% endif %}"
                            href="{% url 'index' %}{% if finalizados %}?finalizados&page={{i}}{% else %}?page={{i}}{% endif %}">{{i}}</a>
                    </li>

                    {% endif %}

                    {% endfor %}

                    {% if page.has_next %}

                    <li class="page-item">
                        <a class="page-link green"
                            href="{% url 'index' %}{% if finalizados %}?finalizados&page={{page.next_page_number}}{% else %}?page={{page.next_page_number}}{% endif %}"><i
                                class="fas fa-angle-right"></i></i></a>
                    </li>

                    <li class="page-item">
                        <a class="page-link green"
                            href="{% url 'index' %}{% if finalizados %}?finalizados&page={{page.paginator.num_pages}}{% else %}?page={{page.paginator.num_pages}}{% endif %}"><i
                                class="fas fa-angle-double-right"></i></a>
                    </li>
                    {% endif %}

                </ul>
            </nav>
            {% endif %}
        </div>
        <!-- Fin paginacion -->

    </div>


</div>
{% endblock %}